[MERGED] osmo-ci[master]: osmo-build-dep: offload branch checkout to osmo-deps.sh

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Fri Oct 27 23:59:52 UTC 2017


Neels Hofmeyr has submitted this change and it was merged.

Change subject: osmo-build-dep: offload branch checkout to osmo-deps.sh
......................................................................


osmo-build-dep: offload branch checkout to osmo-deps.sh

In osmo-deps.sh, add second arg $branch, and also name the first one (i.e.
$project). Use the passed branch or 'origin/master' by default.

In osmo-build-dep.sh, it's not necessary to do a second 'git rev-parse HEAD',
osmo-deps.sh already does it.

Change-Id: I598c41a12352acea6e49a321ad2f665f6ea07a44
---
M scripts/osmo-build-dep.sh
M scripts/osmo-deps.sh
2 files changed, 7 insertions(+), 9 deletions(-)

Approvals:
  Neels Hofmeyr: Verified
  Harald Welte: Looks good to me, approved



diff --git a/scripts/osmo-build-dep.sh b/scripts/osmo-build-dep.sh
index 8104ba7..6e9ef86 100755
--- a/scripts/osmo-build-dep.sh
+++ b/scripts/osmo-build-dep.sh
@@ -40,12 +40,8 @@
 
 mkdir -p "$deps"
 cd "$deps"
-osmo-deps.sh "$project"
+osmo-deps.sh "$project" "$branch"
 cd "$project"
-if [ -n "$branch" ]; then
-	git checkout "$branch"
-fi
-git rev-parse HEAD # log current HEAD
 
 autoreconf --install --force
 ./configure --prefix="$inst" $cfg
diff --git a/scripts/osmo-deps.sh b/scripts/osmo-deps.sh
index c256a6a..92cf041 100755
--- a/scripts/osmo-deps.sh
+++ b/scripts/osmo-deps.sh
@@ -1,12 +1,14 @@
 #!/bin/sh
 set -ex
+project="$1"
+branch="${2:-origin/master}"
 
-if ! test -d $1;
+if ! test -d "$project";
 then
-  git clone git://git.osmocom.org/$1 $1
+  git clone "git://git.osmocom.org/$project" "$project"
 fi
 
-cd $1
+cd "$project"
 git fetch origin
 
 # Cleanup should already have happened during a global osmo-clean-workspace.sh,
@@ -14,5 +16,5 @@
 # the dep subdir separately:
 osmo-clean-workspace.sh
 
-git reset --hard origin/master
+git reset --hard "$branch"
 git rev-parse HEAD

-- 
To view, visit https://gerrit.osmocom.org/4468
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: merged
Gerrit-Change-Id: I598c41a12352acea6e49a321ad2f665f6ea07a44
Gerrit-PatchSet: 1
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list